=== modes/Makefile ===
CC = g++
CXXFLAGS = -g -O2 -Wall

OFILES = hansis_fft.o psk31-coder.o psk31-fft.o psk31-receiver.o psk31-transmitter.o

all: $(OFILES)

clean:
	/bin/rm -rf *.o
