=== user/Makefile ===

CC = g++
CXXFLAGS = -g -O2 -Wall
OFILES = term-psk31.o  text-window.o

all:    $(OFILES)

direct: all

socket: all

clean:
	/bin/rm -rf *.o core
