## twpsk 2.1

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,13 @@
 # Path settings for 'make install'
-# cod-file will be searched in DATADIR, $(HOME) and current directory
-# ini-file will be searched in $(HOME), current directory and DATADIR
+# cod-file will be searched in DATADIR  /* $(HOME) and current directory */
+# ini-file will be searched in DATADIR  /* $(HOME), current directory    */
 BINDIR = /usr/local/bin
-DATADIR = /usr/share/psk31
+DATADIR = /usr/local/share/psk31
 MANDIR = /usr/local/man/man1
 CC = g++ 
 LD = g++
-CXXFLAGS = -Wall -O2 -g
+###CXXFLAGS = -O2 -g
+CXXFLAGS = -O2 -g -Wall 
 LDFLAGS = -v -H
 
 #############################################################################
@@ -28,16 +29,28 @@
 # OBJS += hansis-fft.o
 FILES = README Changes Makefile *.C *.h psk31.ini psk31.cod psk31.1
 
-TWPSKLIBDIRS   =     -L/usr/X11R6/lib
-TWPSKLIBS      =     -lXm -lXt -lX11 -lXp -lXext -lXpm -lm
+TWPSKLIBDIRS = -L/usr/X11R6/lib
+TWPSKLIBS = -lXm -lXt -lX11 -lXp -lXext -lXpm -lm
 
-all:	 twpsk psk31lx
+all:	 twpsk psk31lx 
 
 psk31lx:	modes_d server_d user_d 
-	$(LD) $(LDFLAGS) $(LIBS) modes/*.o user/*.o server/server-main.o -o psk31lx
+		$(LD) $(LDFLAGS) $(LIBS) modes/*.o user/*.o\
+		server/server-main.o -o psk31lx
 
-twpsk:	modes_d server_d twpsk_d
-	$(LD)  $(LDFLAGS) $(LIBS) $(TWPSKLIBDIRS) $(TWPSKLIBS) modes/*.o server/server-main.o user-twpsk/*.o -o twpsk
+twpsk:	modes_d server_d twpsk_d inst_files
+	$(LD)  $(LDFLAGS) $(LIBS) $(TWPSKLIBDIRS) $(TWPSKLIBS) \
+	modes/*.o server/server-main.o user-twpsk/*.o -o twpsk
+
+inst_files:
+	if test -d $(HOME)/twpskDir ; \
+	then \
+	   echo $(HOME)/twpskDir exists - preserving your files. ; \
+	else \
+	   echo Copying some files to $(HOME)/twpskDir; \
+	   install -d  $(HOME)/twpskDir ; \
+	   install user-twpsk/twpskDir/* $(HOME)/twpskDir ; \
+	fi
 
 modes_d:
 	(cd modes; $(MAKE))
@@ -69,9 +82,9 @@
 install_twpsk:
 	install -d $(BINDIR)
 	install -d $(DATADIR)
-	install  psk31.ini psk31.cod $(DATADIR)
-	install  user-twpsk/twpskHelp $(DATADIR)
+	install  psk31.ini psk31.cod user-twpsk/twpskHelp $(DATADIR)
 	install  twpsk $(BINDIR)
 	install  user-twpsk/Twpsk /usr/X11R6/lib/X11/app-defaults
+
 clean:
 	/bin/rm -f */*.o psk31lx twpsk core
