=== server/Makefile ===

CC = g++

all: direct

direct: server.o

socket:

clean:
	/bin/rm -rf *.o core
