## twpsk 4.0

=== debian/changelog ===
twpsk (4.0-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Transition from lesstif2 to motif (Closes: #714670).

 -- Luk Claes <luk@debian.org>  Sat, 14 Sep 2013 18:09:20 +0200

twpsk (4.0-2) unstable; urgency=low

  * Fix underlinking: link libpulse explicitly
    - Thanks Graham Inggs (Closes: #701901, LP: #1134242)
  * Enabled build-hardening

 -- Kamal Mostafa <kamal@whence.com>  Thu, 28 Feb 2013 13:30:31 -0800

twpsk (4.0-1) unstable; urgency=low

  * New upstream release
    - features PulseAudio support
    - all new debian/ packaging
  * New Debian maintainer (Closes: #648259).
  * Fix FTBFS in Ubuntu Oneiric (LP: #832865)
    - debian/patches/01-fix-library-link-order.patch
  * Debian policy compilance
    - debian/patches/02-select-desktop-category-Network.patch
    - debian/patches/20-rename-upstream-ChangeLog.patch

 -- Kamal Mostafa <kamal@whence.com>  Sat, 12 Nov 2011 10:46:32 -0800

twpsk (3.0-3) unstable; urgency=low

  * Retiring - set the package maintainer to Debian QA Group.

 -- Joop Stakenborg <pa3aba@debian.org>  Tue, 03 Nov 2009 07:12:27 +0000

twpsk (3.0-2) unstable; urgency=low

  * Can not store a pointer in an integer, remove offending lines.
    Fixes FTBFS. Closes: #515535.
  * Hardcode app-default directory in configure.in. This will probably
    fix builds on sparc and mips. Closes: #515584.

 -- Joop Stakenborg <pa3aba@debian.org>  Tue, 17 Feb 2009 09:17:48 +0100

twpsk (3.0-1) unstable; urgency=low

  * New upstream.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 15 Feb 2009 19:18:55 +0100

twpsk (2.1+2.2beta1-8) unstable; urgency=low

  * Handle nostrip build options. Closes: #438229.
  * Menu transition.
  * Lintian clean.

 -- Joop Stakenborg <pa3aba@debian.org>  Tue, 04 Dec 2007 18:47:18 +0100

twpsk (2.1+2.2beta1-7) unstable; urgency=low

  * Build-depends on lesstif2-dev. Closes: #374250.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 18 Jun 2006 19:41:16 +0200

twpsk (2.1+2.2beta1-6) unstable; urgency=low

  * Acknowledge NMU, thanks Justin. Closes: #347067.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 22 Jan 2006 00:25:27 +0100

twpsk (2.1+2.2beta1-5.1) unstable; urgency=low

  * Non-maintainer upload to help with xlibs-dev transition.
  * debian/control: Replaced xlibs-dev build-dep. (Closes: #347067)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Fri, 20 Jan 2006 17:17:50 +0100

twpsk (2.1+2.2beta1-5) unstable; urgency=low

  * Use sys/soundcard.h instead of linux/soundcard.h. Fixes FTBFS on
    GNU/kFreeBSD. Thanks to Aurelian Jarno for reporting. Closes: #336868.

 -- Joop Stakenborg <pa3aba@debian.org>  Wed,  2 Nov 2005 09:31:08 +0100

twpsk (2.1+2.2beta1-4) unstable; urgency=low

  * Even more 64 bit fixes. Sigh....

 -- Joop Stakenborg <pa3aba@debian.org>  Wed, 10 Aug 2005 22:00:44 +0200

twpsk (2.1+2.2beta1-3) unstable; urgency=low

  * More 64 bit int->long compilation fixes.

 -- Joop Stakenborg <pa3aba@debian.org>  Wed, 10 Aug 2005 19:08:51 +0200

twpsk (2.1+2.2beta1-2) unstable; urgency=low

  * Do not install ~/twpskDir when building. Closes: #321836.
  * A 64-bit compilation fix. Closes: #321834.
  * Both errors reported by Kurt Roeckx. Thanks!

 -- Joop Stakenborg <pa3aba@debian.org>  Tue,  9 Aug 2005 09:47:35 +0200

twpsk (2.1+2.2beta1-1) unstable; urgency=low

  * New upstream beta release.

 -- Joop Stakenborg <pa3aba@debia.org>  Tue,  9 Aug 2005 09:34:24 +0200

twpsk (2.1-6) unstable; urgency=low

  * Patch by Andreas Jochens for AMD64/gcc-4.0. Closes: #289700.

 -- Joop Stakenborg <pa3aba@debian.org>  Mon, 10 Jan 2005 18:05:08 +0100

twpsk (2.1-5) unstable; urgency=low

  * Remove debmake build dependency. Closes: #288978.
  * Some POSIX fixes.
  * No need to make the binaries owned by group audio.
  * Thanks to Santiago Vila for the reports.

 -- Joop Stakenborg <pa3aba@debian.org>  Sat,  8 Jan 2005 15:45:01 +0100

twpsk (2.1-4) unstable; urgency=low

  * Watch file added.
  * Remove caps from the psk31lx manpages. Thanks Dan. Closes: #273898.
  * Lintian fixes.
  * Install twpsk into /usr/bin according to the policy manual.

 -- Joop Stakenborg <pa3aba@debian.org>  Mon,  4 Oct 2004 20:24:50 +0200

twpsk (2.1-3) unstable; urgency=low

  * gcc-3.3 fixes. Closes: #196462.

 -- Joop Stakenborg <pa3aba@debian.org>  Mon,  4 Oct 2004 20:14:32 +0200

twpsk (2.1-2) unstable; urgency=low

  * Change the path to psk31.cod. Thanks to Jean-Luc Coulon for reporting.
    Closes: #181751.

 -- Joop Stakenborg <pa3aba@debian.org>  Thu, 20 Feb 2003 17:47:35 +0100

twpsk (2.1-1) unstable; urgency=low

  * New upstream.
  * Build depends on libxaw7-dev. Closes: #170003.
  * Fixed some lintian errors.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 16 Feb 2003 12:19:38 +0100

twpsk (2.0-3) unstable; urgency=low

  * Another fix for the path to the twpsk data dir. Thanks to Bruce,
    W1BW for finding this one. Also, window sizes are now saved to
    .twpsk.dat instead of /usr/share/twpsk, because we do not have
    write permissions.

 -- Joop Stakenborg <pa3aba@debian.org>  Wed, 12 Dec 2001 08:24:32 +0100

twpsk (2.0-2) unstable; urgency=low

  * Include psk31.cod in the twpsk package. Thanks to Jean-Luc Coulon for
    finding this bug. Closes: #120951.

 -- Joop Stakenborg <pa3aba@debian.org>  Thu, 29 Nov 2001 19:38:37 +0100

twpsk (2.0-1) unstable; urgency=low

  * New upstream release.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 18 Nov 2001 19:11:06 +0100

twpsk (1.1-7) unstable; urgency=low

  * Fix for ia64. Closes: #118643.

 -- Joop Stakenborg <pa3aba@debian.org>  Sat, 10 Nov 2001 12:31:37 +0100

twpsk (1.1-6) unstable; urgency=low

  * Remove libstdc++2.10-dev from the Build-Depends line. Closes: #105940.

 -- Joop Stakenborg <pa3aba@debian.org>  Sat, 21 Jul 2001 01:03:29 +0200

twpsk (1.1-5) unstable; urgency=low

  * Add libxaw-dev to the Build-Depends. Closes: #104546.

 -- Joop Stakenborg <pa3aba@debian.org>  Sat, 14 Jul 2001 00:27:44 +0200

twpsk (1.1-4) unstable; urgency=low


