=== debian/watch ===
# See uscan(1) for format
version=3
http://wa0eir.home.mchsi.com/src/twpsk-(.*)\.src\.tar\.gz
