## twpsk 4.1

=== debian/changelog ===
twpsk (4.1-1) unstable; urgency=medium

  * New upstream release (closes: #744533)
  * Homepage moved so update debian/control
  * Upstream code moved so update debian/watch
  * Bump Standards Version (No changes required)
  * Fix patches incorp by upstream (closes: #727995)

 -- Colin Tuckley <colint@debian.org>  Sat, 07 Jun 2014 21:41:10 +0100
