=== debian/control ===
Source: twpsk
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Kamal Mostafa <kamal@whence.com>, Colin Tuckley <colint@debian.org>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libx11-dev, libxpm-dev, libxt-dev, libmotif-dev, libxaw7-dev, libpulse-dev
Standards-Version: 3.9.5
Homepage: http://wa0eir.bcts.info/twpsk.html

Package: twpsk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: twlog
Description: Soundcard-based X program for operating PSK31
 Twpsk uses a soundcard to receive and transmit PSK31, an extremely
 narrow band HF-mode. PSK31 is a mode for keyboard QSO's. It offers
 narrow signal width and gives excellent results with low power
 and minimal antenna systems.
