## twpsk 4.2

=== debian/changelog ===
twpsk (4.2-1) unstable; urgency=medium

  * New upstream release (closes: #853690)
  * Bump Standards Version (No changes required)
  * move to debhelper compat 9

 -- Colin Tuckley <colint@debian.org>  Sat, 01 Jul 2017 15:12:00 +0100
