=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Kamal Mostafa <kamal@whence.com>, Colin Tuckley <colint@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libx11-dev, libxpm-dev, libxt-dev, libmotif-dev, libxaw7-dev, libpulse-dev
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>=9), autotools-dev, libx11-dev, libxpm-dev, libxt-dev, libmotif-dev, libxaw7-dev, libpulse-dev
+Standards-Version: 3.9.8
 Homepage: http://wa0eir.bcts.info/twpsk.html
 
 Package: twpsk
