## twpsk 4.3

=== debian/changelog ===
twpsk (4.3-2) unstable; urgency=medium

  * Team upload.
  * Maintain in Salsa repository of the Hamradio team
  * Homepage seems not to be available any more thus point Homepage field
    to webarchive
  * d/watch:
     - version=5
     - No upstream site
  * Remove Colin Tuckley from Uploaders (Thank you for your previous work,
    Colin)
    Closes: #990591
  * d/rules: Its not a sample
  * debhelper-compat=13
  * Standards-Version: 4.7.3 (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Trim trailing whitespace.
  * Use versioned copyright format URI.
  * Remove patch 01-fix-library-link-order.patch that is missing from
    debian/patches/series.

 -- Andreas Tille <tille@debian.org>  Mon, 19 Jan 2026 09:40:52 +0100

twpsk (4.3-1) unstable; urgency=medium

  * New upstream release
  * Removed 22-fix-pointer-cast.patch, bug fixed in upstream

 -- Ervin Hegedus <airween@gmail.com>  Sat, 02 Sep 2017 10:03:41 +0000

twpsk (4.2-2) unstable; urgency=medium

  * Team upload
  * Fixed bug: #871096
  * Bump Standards Version to 4.0.0

 -- Ervin Hegedus <airween@gmail.com>  Mon, 07 Aug 2017 06:02:58 +0000
