=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: twpsk
 Section: hamradio
-Priority: optional
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
-Uploaders: Kamal Mostafa <kamal@whence.com>, Colin Tuckley <colint@debian.org>
-Build-Depends: debhelper (>=9), autotools-dev, libx11-dev, libxpm-dev, libxt-dev, libmotif-dev, libxaw7-dev, libpulse-dev
-Standards-Version: 3.9.8
-Homepage: http://wa0eir.bcts.info/twpsk.html
+Uploaders: Kamal Mostafa <kamal@whence.com>, Ervin Hegedus <airween@gmail.com>
+Build-Depends: debhelper-compat (= 13), libx11-dev, libxpm-dev, libxt-dev, libmotif-dev, libxaw7-dev, libpulse-dev
+Standards-Version: 4.7.3
+Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/twpsk
+Vcs-Git: https://salsa.debian.org/debian-hamradio-team/twpsk.git
+Homepage: https://web.archive.org/web/20230329073132/http://wa0eir.bcts.info/twpsk.html
 
 Package: twpsk
 Architecture: any
