=== debian/watch ===
Version: 5

Dversion-Mangle: s/.*/0.No-Site/
Source: https://people.debian.org/~eriberto/
Matching-Pattern: FakeWatchNoUpstreamSiteForThisPackage-(\d\S+)\.gz

# Source: http://wa0eir.bcts.info/src/
# Matching-Pattern: twpsk-(.*)\.src\.tar\.gz
